#pragma once
#include <Result.h>

struct Registers;

namespace CPU
{
    Result<const char*> identify();
    void platform_init();

    [[noreturn]] void efficient_halt();

    void switch_kernel_stack(u64 top);
}