#include "arch/Serial.h"

namespace Serial
{
    void write(const char* str, usize size)
    {
        while (size--) putchar(*str++);
    }

    void print(const char* str)
    {
        while (*str) putchar(*str++);
    }

    void println(const char* str)
    {
        print(str);
        putchar('\n');
    }
}